
From: Tom Rini <trini@kernel.crashing.org>

- Remove saved_command_line (and saving of the command line).
- Call parse_early_options


---

 25-akpm/arch/cris/kernel/setup.c |    5 ++---
 25-akpm/include/asm-cris/setup.h |    3 +++
 2 files changed, 5 insertions(+), 3 deletions(-)

diff -puN arch/cris/kernel/setup.c~early-param-cris arch/cris/kernel/setup.c
--- 25/arch/cris/kernel/setup.c~early-param-cris	2004-03-30 19:49:07.093860152 -0800
+++ 25-akpm/arch/cris/kernel/setup.c	2004-03-30 19:49:07.096859696 -0800
@@ -16,6 +16,7 @@
 #include <asm/pgtable.h>
 #include <linux/seq_file.h>
 #include <linux/tty.h>
+#include <asm/setup.h>
 
 /*
  * Setup options
@@ -28,10 +29,7 @@ unsigned char aux_device_present;
 extern int root_mountflags;
 extern char _etext, _edata, _end;
 
-#define COMMAND_LINE_SIZE 256
-
 static char command_line[COMMAND_LINE_SIZE] = { 0, };
-       char saved_command_line[COMMAND_LINE_SIZE];
 
 extern const unsigned long text_start, edata; /* set by the linker script */
 extern unsigned long dram_start, dram_end;
@@ -160,6 +158,7 @@ setup_arch(char **cmdline_p)
 		sizeof(command_line));
 #endif
 	command_line[COMMAND_LINE_SIZE - 1] = '\0';
+	parse_early_options(cmdline_p);
 
 	/* give credit for the CRIS port */
 
diff -puN include/asm-cris/setup.h~early-param-cris include/asm-cris/setup.h
--- 25/include/asm-cris/setup.h~early-param-cris	2004-03-30 19:49:07.094860000 -0800
+++ 25-akpm/include/asm-cris/setup.h	2004-03-30 19:49:07.097859544 -0800
@@ -1,3 +1,6 @@
 #ifndef _CRIS_SETUP_H
 #define _CRIS_SETUP_H
+
+#define COMMAND_LINE_SIZE	256
+
 #endif

_
